package com.rjconsultores.ventaboletos.enums.auditoria;

public enum EnumAuditAction {
	TODOS(-1, "Todos"), CRIACAO(1,"Criação de Registro"), ALTERACAO(2, "alteração de registro"), EXCLUSAO(3, "Exclusão de Registro");

	private String descricao;
	private Integer id;

	private EnumAuditAction(Integer id, String descricao) {
		this.descricao = descricao;
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public static String findAction(Integer id) {
		for (EnumAuditAction action : EnumAuditAction.values()) {
			if (action.getId() == id) {
				return action.getDescricao();
			}
		}

		return null;
	}
	
	@Override
	public String toString() {
		return descricao;
	}
}
